.our-course-section {
    background-color: #96A1AC;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1vh;
    overflow: hidden;
    padding: 3vw 0;

    .course-heading {
        text-align: center;

        h1 {
            font-size: 3vw;
            font-weight: 600;
            color: #fff;
        }

        p {
            font-size: 1.1vw;
            font-weight: 500;
            color: #fff;
        }
    }

    .course-container {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 2vw;

        .arrow-img {
            width: 50px;
        }

        .course-flex::-webkit-scrollbar {
            display: none;
        }

        .course-flex {
            overflow-x: auto;
            display: flex;
            justify-content: center;
            gap: 2vw;
            padding: 1vw;
            width: 100%;

            .slide-box {
                display: inline-block;
                flex-shrink: 0;
                width: 25vw;
                height: auto;

                .course-box {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    width: 100%;
                    margin: 1vw;
                    background-color: #fff;

                    .course-img {
                        width: 100%;
                        height: 30vh;
                        overflow: hidden;

                        img {
                            width: 100%;
                            height: 100%;
                            object-fit: cover;
                        }
                    }

                    .course-content {
                        padding: 1vw;
                        min-height: 17vh;
                        display: flex;
                        flex-direction: column;
                        justify-content: center;

                        h2 {
                            font-size: 1.3vw;
                            margin: 0;
                            margin-bottom: 4px;
                        }

                        p {
                            font-size: 0.8vw;
                            margin: 0;

                        }
                    }
                }
            }
        }
    }
}

.course-heading-animation {
    animation: courseslideDown 1s forwards;
}

.course-fex-animation {
    animation: courseslideLeft 3s ease forwards;

}

.course-viewmorebtn {
    background-color: #3197A8;
    font-size: 1rem;
    font-weight: 500;
    color: #fff;
    padding: 10px 20px;
    border-radius: 10px;
    cursor: pointer;
    text-decoration: none;
}

.course-viewmorebtn-animation {
    animation: viewmoreSlideUp 1s forwards;
}

#previous-btn,
#next-btn {
    opacity: 0;
}

@media (min-width: 320px) and (max-width: 668px) {
    .course-heading {
        padding: 0 5vw;

        h1 {
            font-size: 5vw !important;
        }

        p {
            font-size: 3vw !important;
        }

    }

    .course-flex {
        width: 73vw !important;
        justify-content: space-between !important;

        .slide-box {

            width: 72vw !important;
            height: auto !important;
        }
    }

    .course-content {
        padding: 3vw !important;

        h2 {
            font-size: 5vw !important;
        }

        p {
            font-size: 3vw !important;
        }
    }

    #previous-btn,
    #next-btn {
        opacity: 1;
    }

}

@media (min-width: 668px) and (max-width: 1024px) {
    .course-heading {
        padding: 0 5vw;

        p {
            font-size: 2vw !important;
        }
    }

    .slide-box {

        width: 40vw !important;

        .course-content {
            padding: 2vw !important;
            min-height: 20vw !important;

            h2 {
                font-size: 2vw !important;

            }

            p {
                font-size: 2vw !important;
            }
        }
    }

    #previous-btn,
    #next-btn {
        opacity: 1;
    }
}